export declare const vshader = "attribute highp vec3 aVertex;\nattribute highp vec4 aColour;\nattribute highp float aId;\n\nuniform mat4 uMvMatrix;\nuniform mat4 uPMatrix;\n\nuniform mediump float uColorCoding; \nuniform mediump float uSelectedId;\n\nuniform vec4 uHoverPickColour;\n\nvarying vec4 vColor;\nvarying vec3 FragPos;\nvarying mat4 planeTrsf;\n\nvec4 getIdColor(float id){\n float product = floor(id + 0.5);\n float B = floor(product / (256.0*256.0));\n float G = floor((product - B * 256.0*256.0) / 256.0);\n float R = mod(product, 256.0);\n return vec4(R / 255.0, G / 255.0, B / 255.0, 1.0);\n}\n\nvec4 getTransparentColor(vec4 color, float transparency){\n mat4 aMat4 = mat4(1.0, 0.0, 0.0, 0.0,\n 0.0, 1.0, 0.0, 0.0,\n 0.0, 0.0, 1.0, 0.0,\n 0.0, 0.0, 0.0, transparency);\n return aMat4 * color;\n}\n\nvoid main(void) {\n\n if (uColorCoding == 1.0)\n {\n vColor = getIdColor(aId);\n }\n else if (uColorCoding > 1.0)\n {\n vColor = getIdColor(float(uColorCoding));\n }\n else\n { \n if(uSelectedId == aId)\n { \n vColor = aColour; \n }\n else\n {\n vColor = getTransparentColor(aColour, 0.5);\n }\n }\n\n gl_Position = uPMatrix * uMvMatrix * (vec4(aVertex, 1.0) );\n}\n";
