export declare const cube_vshader = "attribute highp vec3 aVertex;\nattribute highp vec2 aTexCoord;\nattribute highp float aId;\n\n\nuniform mat3 uRotation;\nuniform mat4 uPMatrix;\n\n\n\nuniform mediump float uColorCoding; \nuniform float uSelection;\n\n\nvarying vec2 vTexCoord;\nvarying vec4 vIdColor;\n\nvec4 getIdColor(float id){\n float product = floor(id + 0.5);\n float B = floor(product / (256.0*256.0));\n float G = floor((product - B * 256.0*256.0) / 256.0);\n float R = mod(product, 256.0);\n return vec4(R / 255.0, G / 255.0, B / 255.0, 1.0);\n}\n\nvoid main(void) {\n vec4 point = vec4(uRotation * aVertex, 1.0);\n gl_Position = uPMatrix * point;\n vTexCoord = aTexCoord;\n\n if (uColorCoding == 1.0)\n {\n vIdColor = getIdColor(aId);\n return;\n }\n\n if (uColorCoding > 1.0)\n {\n vIdColor = getIdColor(float(uColorCoding));\n return;\n }\n \n bool isSelected = abs(uSelection - aId) < 0.1;\n if (isSelected){\n vIdColor = vec4(-1.0, -1.0, -1.0, -1.0);\n }\n else{\n vIdColor = vec4(1.0, 1.0, 1.0, 1.0);\n }\n}";
